<?
session_name('portal_absa');
session_start();
$arrHTTP = explode("?",trim(strtoupper($_SERVER['HTTP_REFERER'])));
$http = trim(strtoupper($arrHTTP[0]));

if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || (trim(strtoupper($_SESSION["URL_PORTAL"]."FORMULARIOS/FORM_EXPEDIENTE_COMPLEMENTOPAGO.PHP")) != $http && trim(strtoupper($_SESSION["URL_PORTAL"]."FORMULARIOS/FORM_EXPEDIENTE_ICFDI.PHP")) != $http && trim(strtoupper($_SESSION["URL_PORTAL"]."FORMULARIOS/FORM_EXPEDIENTE_PAGO.PHP")) != $http)){
	?><script>window.close();</script><?
	exit;
}
require "../../conexion/conectar.php";

$conexion = new CONDB();
$conexion->conectar();

$queryDoc="select nodo_id,uuid_padre,nombre_archivo,archivo from adjuntos_exp_pago aep inner join adjuntos_exp_pago_detalle aepd on aep.id=aepd.id 
where aep.id=".$_REQUEST['id'];
$resArchivo = mysqli_query($conexion->CONEXION,$queryDoc);
if(mysqli_num_rows($resArchivo) <= 0){"No se encontro el archivo en la base de datos.";exit;}
$tmpArchivo = mysqli_fetch_assoc($resArchivo);
header('Content-Type: application/octet-stream');
header("Content-disposition: attachment; filename=".$tmpArchivo["nombre_archivo"]); 
echo base64_decode($tmpArchivo["archivo"]);
				
?>